#
# spec file for package xfce4-panel-plugin-wavelan
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define panel_version 4.12.0
%define plugin_name xfce4-wavelan-plugin
Name:           xfce4-panel-plugin-wavelan
Version:        0.6.0
Release:        lp150.1.3
Summary:        WLAN Monitoring Plugin for the Xfce Panel
License:        BSD-2-Clause
Group:          System/GUI/XFCE
Url:            http://goodies.xfce.org/projects/panel-plugins/xfce4-wavelan-plugin
Source0:        http://archive.xfce.org/src/panel-plugins/%{plugin_name}/0.6/%{plugin_name}-%{version}.tar.bz2
BuildRequires:  fdupes
BuildRequires:  intltool
BuildRequires:  pkgconfig(libxfce4panel-2.0) >= %{panel_version}
BuildRequires:  pkgconfig(libxfce4ui-2) >= %{panel_version}
Requires:       xfce4-panel >= %{panel_version}
Recommends:     %{name}-lang = %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The WaveLAN plugin can monitor a wireless LAN interface and display signal
state, quality and the network name (SSID).

%lang_package

%prep
%setup -q -n %{plugin_name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags} V=1

%install
%make_install

find %{buildroot} -type f -name "*.la" -delete -print
rm -rf %{buildroot}%{_datadir}/locale/{ast,kk,tl_PH,ur_PK}

%find_lang %{plugin_name} %{name}.lang %{?no_lang_C}

%fdupes %{buildroot}%{_datadir}

%files
%defattr(-,root,root)
%doc AUTHORS COPYING NEWS README THANKS
%{_libdir}/xfce4/panel/plugins/libwavelan.so
%{_datadir}/xfce4/panel/plugins/wavelan.desktop

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Sun Nov 27 2016 seife+obs@b1-systems.com
- update to version 0.6.0
  - port to gtk+3/libxfce4ui-2/libxfce4panel-2.0
  - translation updates
- do not package ChangeLog; NEWS is good enough
* Wed Mar  4 2015 gber@opensuse.org
- update to version 0.5.12
  - add strings to translation
  - use GtkComboBoxText instead of GtkCombo
  - use check buttons with mnemonic for hot keys
  - use getifaddrs() instead of popen ("/sbin/ifconfig -a")
    (bxo#10822)
  - remove check for glib 2.14, was released 7 years ago..
  - make this compile with -Wall -Werror (declarations after
    statement)
  - updated translations
* Sun Jul  1 2012 gber@opensuse.org
- update to version 0.5.11
  - better compliance with panel plugin HIG
  - fix transparency and put event box above its children
* Fri Apr 20 2012 gber@opensuse.org
- corrected license
- corrected documentation files
* Tue Apr 17 2012 gber@opensuse.org
- corrected source URL
* Sat Apr 14 2012 gber@opensuse.org
- update to version 0.5.10
  - add an option to hide the icon for small screen/panels
  - translation updates
* Tue Apr 10 2012 gber@opensuse.org
- update to version 0.5.8
  - build the plugin as a module loadable by Xfce4's panel wrapper
  - add an about dialog
  - fix properties dialog look
* Tue Apr  3 2012 gber@opensuse.org
- update to version 0.5.7
  - port to libxfce4ui
  - adapt to panel 4.9 and newer
  - fix transparency and bar color
  - explicitely link against libm
- dropped obsolete
  xfce4-panel-plugin-wavelan-0.5.6-fix-transparency-and-bar-color.patch,
  xfce4-wavelan-plugin-0.5.6-fix-libm-underlinking.patch
- specfile cleanup
- correct dependencies
- split off -lang subpackage
* Wed Sep 21 2011 gber@opensuse.org
- added xfce4-wavelan-plugin-0.5.6-fix-libm-underlinking.patch in
  order to explicitly link against libm
- added
  xfce4-panel-plugin-wavelan-0.5.6-fix-transparency-and-bar-color.patch
  in order to fix transparency and bar color (backported from
  upstream git)
* Wed Mar  9 2011 gber@opensuse.org
- new package (split off from xfce4-panel-plugins)
